<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'company_setting',

    /*
     * Modules.
     */
    'modules'   => ['company_setting'],

    
    'company_setting'       => [
        'model' => [
            'model'                 => \Litecms\CompanySetting\Models\CompanySetting::class,
            'table'                 => 'company_settings',
            'presenter'             => \Litecms\CompanySetting\Repositories\Presenter\CompanySettingPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['company_name',  'company_legal_name',  'company_start',  'contact_person',  'company_address',  'company_country',  'company_city',  'company_zip_code',  'company_phone',  'company_email',  'company_domain',  'facebook_link',  'twitter_link',  'instagram_link',  'seo_title',  'meta_data',  'google_analytic_code',  'google_webmaster_tool_code'],
            'translatables'         => [],
            'upload_folder'         => 'company_setting/company_setting',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'CompanySetting',
            'module'    => 'CompanySetting',
        ],

    ],
];
