<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCompanySettingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: company_settings
         */
        Schema::create('company_settings', function ($table) {
            $table->increments('id');
            $table->string('company_name', 200)->nullable();
            $table->string('company_legal_name', 500)->nullable();
            $table->date('company_start')->nullable();
            $table->text('contact_person')->nullable();
            $table->text('company_address')->nullable();
            $table->text('company_country')->nullable();
            $table->text('company_city')->nullable();
            $table->text('company_zip_code')->nullable();
            $table->string('company_phone', 50)->nullable();
            $table->text('company_email')->nullable();
            $table->text('company_domain')->nullable();
            $table->string('facebook_link', 500)->nullable();
            $table->string('twitter_link', 500)->nullable();
            $table->string('instagram_link', 500)->nullable();
            $table->string('seo_title', 500)->nullable();
            $table->string('meta_data', 2000)->nullable();
            $table->string('google_analytic_code', 200)->nullable();
            $table->string('google_webmaster_tool_code', 50)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('company_settings');
    }
}
