<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('company_setting::company_setting.name') !!} <small> {!! trans('app.manage') !!} {!! trans('company_setting::company_setting.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('company_setting::company_setting.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='company_setting-company_setting-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('company_setting/company_setting')!!}">{!! trans('company_setting::company_setting.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('company_setting/company_setting?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('company_setting/company_setting?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('company_setting/company_setting/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('company_setting::admin.company_setting.partial.actions')
                    -->
                    @include('company_setting::admin.company_setting.partial.filter')
                    @include('company_setting::admin.company_setting.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="company_setting-company_setting-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="company_setting-company_setting-check-all"></th>
                        <th data-field="company_name">{!! trans('company_setting::company_setting.label.company_name')!!}</th>
                    <th data-field="company_legal_name">{!! trans('company_setting::company_setting.label.company_legal_name')!!}</th>
                    <th data-field="company_start">{!! trans('company_setting::company_setting.label.company_start')!!}</th>
                    <th data-field="contact_person">{!! trans('company_setting::company_setting.label.contact_person')!!}</th>
                    <th data-field="company_address">{!! trans('company_setting::company_setting.label.company_address')!!}</th>
                    <th data-field="company_country">{!! trans('company_setting::company_setting.label.company_country')!!}</th>
                    <th data-field="company_city">{!! trans('company_setting::company_setting.label.company_city')!!}</th>
                    <th data-field="company_zip_code">{!! trans('company_setting::company_setting.label.company_zip_code')!!}</th>
                    <th data-field="company_phone">{!! trans('company_setting::company_setting.label.company_phone')!!}</th>
                    <th data-field="company_email">{!! trans('company_setting::company_setting.label.company_email')!!}</th>
                    <th data-field="company_domain">{!! trans('company_setting::company_setting.label.company_domain')!!}</th>
                    <th data-field="facebook_link">{!! trans('company_setting::company_setting.label.facebook_link')!!}</th>
                    <th data-field="twitter_link">{!! trans('company_setting::company_setting.label.twitter_link')!!}</th>
                    <th data-field="instagram_link">{!! trans('company_setting::company_setting.label.instagram_link')!!}</th>
                    <th data-field="seo_title">{!! trans('company_setting::company_setting.label.seo_title')!!}</th>
                    <th data-field="meta_data">{!! trans('company_setting::company_setting.label.meta_data')!!}</th>
                    <th data-field="google_analytic_code">{!! trans('company_setting::company_setting.label.google_analytic_code')!!}</th>
                    <th data-field="google_webmaster_tool_code">{!! trans('company_setting::company_setting.label.google_webmaster_tool_code')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#company_setting-company_setting-entry', '{!!guard_url('company_setting/company_setting/0')!!}');
    oTable = $('#company_setting-company_setting-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('company_setting/company_setting') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'company_name'},
            {data :'company_legal_name'},
            {data :'company_start'},
            {data :'contact_person'},
            {data :'company_address'},
            {data :'company_country'},
            {data :'company_city'},
            {data :'company_zip_code'},
            {data :'company_phone'},
            {data :'company_email'},
            {data :'company_domain'},
            {data :'facebook_link'},
            {data :'twitter_link'},
            {data :'instagram_link'},
            {data :'seo_title'},
            {data :'meta_data'},
            {data :'google_analytic_code'},
            {data :'google_webmaster_tool_code'},
        ],
        "pageLength": 25
    });

    $('#company_setting-company_setting-list tbody').on( 'click', 'tr td:not(:first-child)', function (e) {
        e.preventDefault();

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#company_setting-company_setting-list').DataTable().row( this ).data();
        $('#company_setting-company_setting-entry').load('{!!guard_url('company_setting/company_setting')!!}' + '/' + d.id);
    });

    $('#company_setting-company_setting-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#company_setting-company_setting-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#company_setting-company_setting-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#company_setting-company_setting-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>