<?php

namespace Litecms\CompanySetting\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CompanySettingTransformer extends TransformerAbstract
{
    public function transform(\Litecms\CompanySetting\Models\CompanySetting $company_setting)
    {
        return [
            'id'                => $company_setting->getRouteKey(),
            'key'               => [
                'public'    => $company_setting->getPublicKey(),
                'route'     => $company_setting->getRouteKey(),
            ], 
            'company_name'      => $company_setting->company_name,
            'company_legal_name' => $company_setting->company_legal_name,
            'company_start'     => $company_setting->company_start,
            'contact_person'    => $company_setting->contact_person,
            'company_address'   => $company_setting->company_address,
            'company_country'   => $company_setting->company_country,
            'company_city'      => $company_setting->company_city,
            'company_zip_code'  => $company_setting->company_zip_code,
            'company_phone'     => $company_setting->company_phone,
            'company_email'     => $company_setting->company_email,
            'company_domain'    => $company_setting->company_domain,
            'facebook_link'     => $company_setting->facebook_link,
            'twitter_link'      => $company_setting->twitter_link,
            'instagram_link'    => $company_setting->instagram_link,
            'seo_title'         => $company_setting->seo_title,
            'meta_data'         => $company_setting->meta_data,
            'google_analytic_code' => $company_setting->google_analytic_code,
            'google_webmaster_tool_code' => $company_setting->google_webmaster_tool_code,
            'url'               => [
                'public'    => trans_url('company_setting/'.$company_setting->getPublicKey()),
                'user'      => guard_url('company_setting/company_setting/'.$company_setting->getRouteKey()),
            ], 
            'status'            => trans('app.'.$company_setting->status),
            'created_at'        => format_date($company_setting->created_at),
            'updated_at'        => format_date($company_setting->updated_at),
        ];
    }
}